
namespace SafeCampus.Application.Services.Business.BuildingService;

public interface IBuildingService:ITransient
{
    /// <summary>
    /// 添加
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Add(BuildingInfoDto input);
    /// <summary>
    /// 修改
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<bool> Update(BuildingInfoDto input);
    /// <summary>
    /// 获取信息
    /// </summary>
    /// <param name="input">添加参数</param>
    /// <returns></returns>
    Task<BuildingInfoDto> GetInfo(long id);
    /// <summary>
    /// 删除
    /// </summary>
    /// <param name="id">id</param>
    /// <returns></returns>
    Task<bool> Delete(long id);
    /// <summary>
    /// 获取列表
    /// </summary>
    /// <returns></returns>
    Task<List<BuildingInfoDto>> GetNoPageList();
}